Bug 171331 - Dragging the first track of an album behaves as if it is an album
Summary: Dragging the first track of an album behaves as if it is an album
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Applications
Component: Playlist (show other bugs)
Version: 2.0-beta
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-09-19 14:14 UTC by Bassio
Modified: 2008-10-26 22:11 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bassio 2008-09-19 14:14:15 UTC
Version:           1.90 (using 4.1.1 (KDE 4.1.1), Kubuntu packages)
Compiler:          gcc
OS:                Linux (i686) release 2.6.24-19-generic

If you try to drag the first track of an album, the program will behave as if you are trying to drag the whole album and not only that track.

And you are not allowed to drop it except at the end of an album (not between tracks) exactly as if you are dragging albums.

Besides: even when you drop it (when that green bar appears) .. it won't be dropped. It's very buggy.
Comment 1 Lydia Pintscher 2008-09-20 00:49:34 UTC
Nikolaj is this fixed by now?
Comment 2 Mark Kretschmann 2008-09-20 07:24:20 UTC
I can still reproduce it with trunk.
Comment 3 Nikolaj Hald Nielsen 2008-10-12 11:31:50 UTC
This has been fixed by the recent playlist refactoring.
Comment 4 Máté Soós 2008-10-26 22:11:53 UTC
I observed this, too, and tried to report it. Great that it is fixed in trunk! (though I haven't tested that).